// Styling for the navbar

/*
  main div styling: aka transparent background.
*/
#mainNav {
    border-color: fade-out($gray-darker, .95);
    /*fit with overall theme of black top bar*/
    background-color: black;
    @include transition-all;
    @include heading-font;
    color:#000;
    .navbar-brand {
        color: #FFF;
        @include heading-font;
        &:hover,
        &:focus {
            /*color: darken($theme-primary, 10%);*/
            /*color: #FFF;*/
            color:#FFF;
        }
    }
    .navbar-toggler {
        font-size: 12px;
        padding: 8px 10px;
        /*color: $gray-darker;*/
        /*color: $theme-primary;*/
        /*color:#000;*/
        color:#FFF;
    }
    .navbar-nav {
        > li {
            > a {
                font-size: 11px;
                @include alt-font;
                &.active {
                    /*color: $theme-primary !important;*/
                    color: #AAA !important;
                    background-color: transparent;
                    &:hover {
                        background-color: transparent;
                    }
                }
            }
            > a,
            > a:focus {
                /*color: $gray-darker;*/
                color:#AAA;
                &:hover {
                    color: #AAA;
                }
            }
        }
    }
    @media (min-width: 992px) {
        border-color: transparent;
        background-color: transparent;
        .navbar-brand {
            color: fade(white, 70%);
            &:hover,
            &:focus {
                color: white;
                /*color:black;*/
            }
        }
        .navbar-nav > li > a,
        .navbar-nav > li > a:focus {
            color: fade-out(white, .3);
            &:hover {
                color: white;
                /*color:black;*/
            }
        }
        &.navbar-shrink {
            border-color: fade-out($gray-darker, .9);
            background-color: white;
            .navbar-brand {
                color: $gray-darker;
                &:hover,
                &:focus {
                    color: $theme-primary;
                }
            }
            .navbar-nav > li > a,
            .navbar-nav > li > a:focus {
                color: $gray-darker;
                &:hover {
                    color: $theme-primary;
                }
            }
        }
    }
}
